org.keycloak.adapters

## Class KeycloakDeployment

- java.lang.Object
- - org.keycloak.adapters.KeycloakDeployment

- Direct Known Subclasses:
    AdapterDeploymentContext.DeploymentDelegate

      public class KeycloakDeployment
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `accountUrl`
    `protected boolean` | `alwaysRefreshToken`
    `protected String` | `authServerBaseUrl`
    `protected KeycloakUriBuilder` | `authUrl`
    `protected boolean` | `bearerOnly`
    `protected org.apache.http.client.HttpClient` | `client`
    `protected String` | `codeUrl`
    `protected boolean` | `cors`
    `protected String` | `corsAllowedHeaders`
    `protected String` | `corsAllowedMethods`
    `protected int` | `corsMaxAge`
    `protected boolean` | `enableBasicAuth`
    `protected boolean` | `exposeToken`
    `protected KeycloakUriBuilder` | `logoutUrl`
    `protected int` | `notBefore`
    `protected String` | `principalAttribute`
    `protected boolean` | `publicClient`
    `protected String` | `realm`
    `protected String` | `realmInfoUrl`
    `protected PublicKey` | `realmKey`
    `protected String` | `refreshUrl`
    `protected boolean` | `registerNodeAtStartup`
    `protected int` | `registerNodePeriod`
    `protected String` | `registerNodeUrl`
    `protected RelativeUrlsUsed` | `relativeUrls`
    `protected Map<String,String>` | `resourceCredentials`
    `protected String` | `resourceName`
    `protected String` | `scope`
    `protected SslRequired` | `sslRequired`
    `protected String` | `stateCookieName`
    `protected TokenStore` | `tokenStore`
    `protected String` | `unregisterNodeUrl`
    `protected boolean` | `useResourceRoleMappings`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeycloakDeployment()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAccountUrl()`
    `String` | `getAuthServerBaseUrl()`
    `KeycloakUriBuilder` | `getAuthUrl()`
    `org.apache.http.client.HttpClient` | `getClient()`
    `String` | `getCodeUrl()`
    `String` | `getCorsAllowedHeaders()`
    `String` | `getCorsAllowedMethods()`
    `int` | `getCorsMaxAge()`
    `KeycloakUriBuilder` | `getLogoutUrl()`
    `int` | `getNotBefore()`
    `String` | `getPrincipalAttribute()`
    `String` | `getRealm()`
    `String` | `getRealmInfoUrl()`
    `PublicKey` | `getRealmKey()`
    `String` | `getRefreshUrl()`
    `int` | `getRegisterNodePeriod()`
    `String` | `getRegisterNodeUrl()`
    `RelativeUrlsUsed` | `getRelativeUrls()`
    `Map<String,String>` | `getResourceCredentials()`
    `String` | `getResourceName()`
    `String` | `getScope()`
    `SslRequired` | `getSslRequired()`
    `String` | `getStateCookieName()`
    `TokenStore` | `getTokenStore()`
    `String` | `getUnregisterNodeUrl()`
    `boolean` | `isAlwaysRefreshToken()`
    `boolean` | `isBearerOnly()`
    `boolean` | `isConfigured()`
    `boolean` | `isCors()`
    `boolean` | `isEnableBasicAuth()`
    `boolean` | `isExposeToken()`
    `boolean` | `isPublicClient()`
    `boolean` | `isRegisterNodeAtStartup()`
    `boolean` | `isUseResourceRoleMappings()`
    `protected void` | `resolveBrowserUrls(KeycloakUriBuilder authUrlBuilder)`
    `protected void` | `resolveNonBrowserUrls(KeycloakUriBuilder authUrlBuilder)`
    `void` | `setAlwaysRefreshToken(boolean alwaysRefreshToken)`
    `void` | `setAuthServerBaseUrl(AdapterConfig config)`
    `void` | `setBearerOnly(boolean bearerOnly)`
    `void` | `setClient(org.apache.http.client.HttpClient client)`
    `void` | `setCors(boolean cors)`
    `void` | `setCorsAllowedHeaders(String corsAllowedHeaders)`
    `void` | `setCorsAllowedMethods(String corsAllowedMethods)`
    `void` | `setCorsMaxAge(int corsMaxAge)`
    `void` | `setEnableBasicAuth(boolean enableBasicAuth)`
    `void` | `setExposeToken(boolean exposeToken)`
    `void` | `setNotBefore(int notBefore)`
    `void` | `setPrincipalAttribute(String principalAttribute)`
    `void` | `setPublicClient(boolean publicClient)`
    `void` | `setRealm(String realm)`
    `void` | `setRealmKey(PublicKey realmKey)`
    `void` | `setRegisterNodeAtStartup(boolean registerNodeAtStartup)`
    `void` | `setRegisterNodePeriod(int registerNodePeriod)`
    `void` | `setResourceCredentials(Map<String,String> resourceCredentials)`
    `void` | `setResourceName(String resourceName)`
    `void` | `setScope(String scope)`
    `void` | `setSslRequired(SslRequired sslRequired)`
    `void` | `setStateCookieName(String stateCookieName)`
    `void` | `setTokenStore(TokenStore tokenStore)`
    `void` | `setUseResourceRoleMappings(boolean useResourceRoleMappings)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### relativeUrls

          protected RelativeUrlsUsed relativeUrls

    - #### realm

          protected String realm

    - #### realmKey

          protected volatile PublicKey realmKey

    - #### authServerBaseUrl

          protected String authServerBaseUrl

    - #### realmInfoUrl

          protected String realmInfoUrl

    - #### authUrl

          protected KeycloakUriBuilder authUrl

    - #### codeUrl

          protected String codeUrl

    - #### refreshUrl

          protected String refreshUrl

    - #### logoutUrl

          protected KeycloakUriBuilder logoutUrl

    - #### accountUrl

          protected String accountUrl

    - #### registerNodeUrl

          protected String registerNodeUrl

    - #### unregisterNodeUrl

          protected String unregisterNodeUrl

    - #### principalAttribute

          protected String principalAttribute

    - #### resourceName

          protected String resourceName

    - #### bearerOnly

          protected boolean bearerOnly

    - #### enableBasicAuth

          protected boolean enableBasicAuth

    - #### publicClient

          protected boolean publicClient

    - #### resourceCredentials

          protected Map<String,String> resourceCredentials

    - #### client

          protected org.apache.http.client.HttpClient client

    - #### scope

          protected String scope

    - #### sslRequired

          protected SslRequired sslRequired

    - #### tokenStore

          protected TokenStore tokenStore

    - #### stateCookieName

          protected String stateCookieName

    - #### useResourceRoleMappings

          protected boolean useResourceRoleMappings

    - #### cors

          protected boolean cors

    - #### corsMaxAge

          protected int corsMaxAge

    - #### corsAllowedHeaders

          protected String corsAllowedHeaders

    - #### corsAllowedMethods

          protected String corsAllowedMethods

    - #### exposeToken

          protected boolean exposeToken

    - #### alwaysRefreshToken

          protected boolean alwaysRefreshToken

    - #### registerNodeAtStartup

          protected boolean registerNodeAtStartup

    - #### registerNodePeriod

          protected int registerNodePeriod

    - #### notBefore

          protected volatile int notBefore

  - ### Constructor Detail

    - #### KeycloakDeployment

          public KeycloakDeployment()

  - ### Method Detail

    - #### isConfigured

          public boolean isConfigured()

    - #### getResourceName

          public String getResourceName()

    - #### getRealm

          public String getRealm()

    - #### setRealm

          public void setRealm(String realm)

    - #### getRealmKey

          public PublicKey getRealmKey()

    - #### setRealmKey

          public void setRealmKey(PublicKey realmKey)

    - #### getAuthServerBaseUrl

          public String getAuthServerBaseUrl()

    - #### setAuthServerBaseUrl

          public void setAuthServerBaseUrl(AdapterConfig config)

    - #### resolveBrowserUrls

          protected void resolveBrowserUrls(KeycloakUriBuilder authUrlBuilder)

      Parameters:
        `authUrlBuilder` - absolute URI

    - #### resolveNonBrowserUrls

          protected void resolveNonBrowserUrls(KeycloakUriBuilder authUrlBuilder)

      Parameters:
        `authUrlBuilder` - absolute URI

    - #### getRelativeUrls

          public RelativeUrlsUsed getRelativeUrls()

    - #### getRealmInfoUrl

          public String getRealmInfoUrl()

    - #### getAuthUrl

          public KeycloakUriBuilder getAuthUrl()

    - #### getCodeUrl

          public String getCodeUrl()

    - #### getRefreshUrl

          public String getRefreshUrl()

    - #### getLogoutUrl

          public KeycloakUriBuilder getLogoutUrl()

    - #### getAccountUrl

          public String getAccountUrl()

    - #### getRegisterNodeUrl

          public String getRegisterNodeUrl()

    - #### getUnregisterNodeUrl

          public String getUnregisterNodeUrl()

    - #### setResourceName

          public void setResourceName(String resourceName)

    - #### isBearerOnly

          public boolean isBearerOnly()

    - #### setBearerOnly

          public void setBearerOnly(boolean bearerOnly)

    - #### isEnableBasicAuth

          public boolean isEnableBasicAuth()

    - #### setEnableBasicAuth

          public void setEnableBasicAuth(boolean enableBasicAuth)

    - #### isPublicClient

          public boolean isPublicClient()

    - #### setPublicClient

          public void setPublicClient(boolean publicClient)

    - #### getResourceCredentials

          public Map<String,String> getResourceCredentials()

    - #### setResourceCredentials

          public void setResourceCredentials(Map<String,String> resourceCredentials)

    - #### getClient

          public org.apache.http.client.HttpClient getClient()

    - #### setClient

          public void setClient(org.apache.http.client.HttpClient client)

    - #### getScope

          public String getScope()

    - #### setScope

          public void setScope(String scope)

    - #### getSslRequired

          public SslRequired getSslRequired()

    - #### setSslRequired

          public void setSslRequired(SslRequired sslRequired)

    - #### getTokenStore

          public TokenStore getTokenStore()

    - #### setTokenStore

          public void setTokenStore(TokenStore tokenStore)

    - #### getStateCookieName

          public String getStateCookieName()

    - #### setStateCookieName

          public void setStateCookieName(String stateCookieName)

    - #### isUseResourceRoleMappings

          public boolean isUseResourceRoleMappings()

    - #### setUseResourceRoleMappings

          public void setUseResourceRoleMappings(boolean useResourceRoleMappings)

    - #### isCors

          public boolean isCors()

    - #### setCors

          public void setCors(boolean cors)

    - #### getCorsMaxAge

          public int getCorsMaxAge()

    - #### setCorsMaxAge

          public void setCorsMaxAge(int corsMaxAge)

    - #### getCorsAllowedHeaders

          public String getCorsAllowedHeaders()

    - #### setCorsAllowedHeaders

          public void setCorsAllowedHeaders(String corsAllowedHeaders)

    - #### getCorsAllowedMethods

          public String getCorsAllowedMethods()

    - #### setCorsAllowedMethods

          public void setCorsAllowedMethods(String corsAllowedMethods)

    - #### isExposeToken

          public boolean isExposeToken()

    - #### setExposeToken

          public void setExposeToken(boolean exposeToken)

    - #### getNotBefore

          public int getNotBefore()

    - #### setNotBefore

          public void setNotBefore(int notBefore)

    - #### isAlwaysRefreshToken

          public boolean isAlwaysRefreshToken()

    - #### setAlwaysRefreshToken

          public void setAlwaysRefreshToken(boolean alwaysRefreshToken)

    - #### isRegisterNodeAtStartup

          public boolean isRegisterNodeAtStartup()

    - #### setRegisterNodeAtStartup

          public void setRegisterNodeAtStartup(boolean registerNodeAtStartup)

    - #### getRegisterNodePeriod

          public int getRegisterNodePeriod()

    - #### setRegisterNodePeriod

          public void setRegisterNodePeriod(int registerNodePeriod)

    - #### getPrincipalAttribute

          public String getPrincipalAttribute()

    - #### setPrincipalAttribute

          public void setPrincipalAttribute(String principalAttribute)

Copyright © 2015. All Rights Reserved.